% Script to plot analytical solution
close all; clear all; clc;
%% Initializations
X = [0,2*pi];               % Space interval
T = [0,1];                  % Time interval
nu = @(x) .02 + 0*x;          % Diffusion function

m = 64;
n = 32;
a = X(1); b = X(2);
ta = T(1); tb = T(2);
t = linspace(ta,tb,m+1);
x = linspace(a,b,n+1);

%% Plot surface
sol = solution(x,t,nu);
surf(t,x,sol(:,:));
title('solution');

%% Plot time slices
dataM  = char('o', 'd','.','s','+','v');
dataC  = char('b', 'm','g','k','r','c');
f4 = figure(4);
vec = 1:16:m+1;
for J = 1:5
    plot(x,sol(:,vec(J)),'color',dataC(J),'marker',dataM(J));
    hold on
end
title('Time slices of analtical solution');
legend('t=0','t=.25','t=.5','t=.75', 't=1')
hold off